<!doctype html>
<html>
  <head>
    <title>TU Chat</title>
    <style>
      * { margin: 0; padding: 0; box-sizing: border-box; }
      body { font: 13px Helvetica, Arial; }
      form { background: #000; padding: 3px; position: fixed; bottom: 0; width: 100%; }
      form input { border: 0; padding: 10px; width: 90%; margin-right: .5%; }
      form button { width: 9%; background: rgb(130, 224, 255); border: none; padding: 10px; }
      #messages { list-style-type: none; margin: 0; padding: 0; }
      #messages li { padding: 5px 10px; }
      #messages li:nth-child(odd) { background: #eee; }
      #messages { margin-bottom: 40px }
    </style>
  </head>
  <body>
    <ul id="messages"></ul>
    <form action="">
      <input id="m" autocomplete="off" /><button>Send</button>
    </form>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.1.1/socket.io.js"></script>
    <script src="https://code.jquery.com/jquery-1.11.1.js"></script>
    <script >
    $(function() {
        var socket = io();
        $('form').submit(function(){
          socket.emit('chat message',$('#m').val());
          $('m').val('');
          return false;
        })
        //runs everytime we get a message
        socket.on('chat message',function(msg){
          $('#messages').append($('<li>').text(msg));
            window.scrollTo(0, document.body.scrollHeight)
        });
    });
    </script>
  </body>
</html>
